org.eclipse.wst.jsdt.chromium.debug.ui.launcher

## Class WipLaunchType

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTypeBase
  - - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.WipLaunchType

    public class WipLaunchType
    extends LaunchTypeBase

### Constructor Summary

Constructors
Constructor and Description
`WipLaunchType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected JavascriptVmEmbedder.ConnectionToRemote` `createConnectionToRemote(java.lang.String host, int port, ILaunch launch, boolean addConsoleLogger)`
`protected BreakpointSynchronizer.Direction` `getPresetSyncDirection()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTypeBase

`launch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WipLaunchType

    public WipLaunchType()

### Method Detail

#### createConnectionToRemote

    protected JavascriptVmEmbedder.ConnectionToRemote createConnectionToRemote(java.lang.String host,
                                                                               int port,
                                                                               ILaunch launch,
                                                                               boolean addConsoleLogger)
                                                                        throws CoreException

Specified by:
  `createConnectionToRemote` in class `LaunchTypeBase`
Throws:
  `CoreException`

#### getPresetSyncDirection

    protected BreakpointSynchronizer.Direction getPresetSyncDirection()

Specified by:
  `getPresetSyncDirection` in class `LaunchTypeBase`